* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  min-height: 100vh;
  background-image: linear-gradient(45deg, #233157 0%, #d6ffeb 100%);
}

/* Navigation Bar */
.nav-bar {
  background-color: #181940;
  padding: 20px;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  position: sticky;
  top: 0;
}

.nav-links {
  list-style: none;
  display: flex;
  flex-flow: row wrap;
  gap: 2rem;
}

.nav-links a {
  text-decoration: none;
  position: relative;
}
.nav-links a:hover {
  color: #fbc68d;
}
.nav-links a div {
  width: 100%;
  height: 4px;
  background-color: #eb5f0e;
  border-radius: 50px;
  position: absolute;
  bottom: -10px;
  visibility: hidden;
}
.selected {
  color: #eb5f0e;
}
.not-selected {
  color: white;
}

.nav-right {
  display: flex;
  flex-flow: row wrap;
  gap: 30px;
  justify-content: center;
}

.nav-btns {
  display: flex;
  flex-flow: row wrap;
  gap: 10px;
}
.btn {
  flex: 1;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  transition: all 0.3s ease;
}
.btn:hover {
  opacity: 0.8;
  cursor: pointer;
}
.btn:active {
  transform: translateY(2px);
}

.nav-btns .btn:first-child {
  background-color: #fcd540;
  color: #21183e;
}
.nav-btns .btn:last-child {
  border: 2px solid #fcd540;
}

/* Notification Box */
.notif-container {
  position: relative;
}

.bell svg {
  width: 25px;
  height: 25px;
  fill: white;
}
.bell {
  width: 40px;
  height: 40px;
  background-color: #181940;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid white;
  border-radius: 5px;
  position: absolute;
  top: 0;
  right: 0;
}
.bell:hover {
  background-color: white;
  cursor: pointer;
}
.bell:hover svg {
  fill: #250040;
}

.notif-body {
  position: absolute;
  top: 45px;
  right: 0;
  width: 30vw;
  background-color: white;
  padding: 32px;
  border-radius: 5px;
  display: flex;
  flex-flow: column wrap;
  transform-origin: top right;
  transition: all 0.3s ease;
}

.minimize {
  transform: scale(0.1);
  opacity: 0;
}

.notif-heading {
  padding-bottom: 32px;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
}
.notif-heading span {
  font-size: 1.5rem;
  font-weight: 700;
}
.notif-heading button {
  font-size: 13px;
  color: #250040;
  background-color: #f0d6fe;
  padding: 7px 15px;
  border-radius: 50px;
  border: none;
}

.notif {
  display: flex;
  flex-flow: row wrap;
  padding: 32px 0;
  border-top: 1px solid #d8d8d8;
}

.notif img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  margin-right: 20px;
}

.notif-info {
  display: flex;
  flex-flow: column wrap;
  gap: 5px;
}
.notif-info span {
  font-weight: 700;
}
.notif-time {
  font-size: 12px;
  color: #989898;
}

.notif-btns {
  display: flex;
  flex-flow: row wrap;
  gap: 10px;
}
.notif-btns button {
  padding: 8px 25px;
  border-radius: 5px;
  border: none;
}
.notif-btns button:first-child {
  background-color: white;
  color: #3d009e;
  border: 1px solid #3d009e;
}
.notif-btns button:last-child {
  background-color: #3d009e;
  color: white;
}

.notif-body button:hover {
  cursor: pointer;
  opacity: 0.8;
}

.notif-footer {
  padding: 17px;
  text-align: center;
  border-top: 1px solid #d8d8d8;
  font-style: italic;
  font-weight: 600;
  visibility: hidden;
}
.notif-footer span {
  color: blue;
}
